using System;
using System.Collections.Generic;
using System.Text;
using Microsoft.Xna.Framework;

using TAPI;
using Terraria;

namespace TemplateMod.Items
{
    public class ExampleTownNPCWand : ModItem
    {
        public ExampleTownNPCWand(ModBase modBase, Item I) : base(modBase, I){ }

        public override bool? UseItem(Player p) 
        {
            if (NPC.AnyNPCs("TemplateMod:ExampleTownNPC")){ return true; }
            if(Main.netMode != 1)
            {
                int npcID = NPC.NewNPC((int)p.Center.X, (int)p.Center.Y - 200, Defs.npcs["TemplateMod:ExampleTownNPC"].type, 0);
				if (Main.netMode == 2)
					NetMessage.SendData(23, -1, -1, "", npcID, 0.0f, 0.0f, 0.0f, 0);
            }
            if(Main.netMode != 2)
            { 
                Main.PlaySound(2, (int)p.Center.X, (int)p.Center.Y, 37);
                Vector2 npcPos = p.position - new Vector2(0, 200);
                for (int m = 0; m < 15; m++)
                {
                    int dustID = Dust.NewDust(npcPos, p.width, p.height, 60, Main.rand.Next(-10, 10) * 1f, Main.rand.Next(-10, 10) * 1f, 100, Color.White, 3.5f);
                    Main.dust[dustID].noGravity = true;
                }
            }
			return true;
        }
    }
}
