using System;
using System.Collections.Generic;
using System.Text;
using Microsoft.Xna.Framework;

using TAPI;
using Terraria;

namespace TemplateMod
{
    [GlobalMod] public class MNPC : ModNPC //GlobalMod is used for global NPCs, Items, and Projectiles
    {
        public MNPC(ModBase modBase, NPC n) : base(modBase, n){ } //NOTE: this npc instance is null because this is a global ModNPC!

		public override List<int> EditSpawnPool(int x, int y, List<int> pool, Player player) { return pool; } //edit the npc spawning pool (remove npc entries, add them, etc.)

		public override string PostSetChat(string chat) //called after chat has been set.
		{
			if(npc.type == 22 && Main.rand.Next(4) == 0 && NPC.AnyNPCs("TemplateMod:ExampleTownNPC")) // If this is the guide's chat and the example town NPC is spawned
			{
				string zombieName = Main.chrName[Defs.npcs["TemplateMod:ExampleTownNPC"].type];
				return "Keep that...THING away from me! That thing called \"" + zombieName + "\". It keeps trying to EAT me!";
			}
			return null;
		}
    }
}
