using System;
using System.Diagnostics;
using System.Collections.Generic;
using System.Text;
using Microsoft.Xna.Framework;

using TAPI;
using Terraria;

namespace TemplateMod
{
    public class MPlayer : TAPI.ModPlayer
    {
        public MPlayer(ModBase modBase, Player player) : base(modBase, player) { }

        public override void PostUpdate()
        {
            player.AddBuff(Defs.buffType["TemplateMod:ExampleBuff"], 1200);
        } 
        public override void OnInventoryReset(bool mediumcoreRespawn) //Called when the inventory is reset. (ie when you respawn. IS ONLY CALLED ONCE IF PLAYER IS SOFTCORE, ON CREATION)
        {
            if (!mediumcoreRespawn)
            {
                player.statLifeMax = 200;
                player.statManaMax = 200;
            }

            int slot = 3;
			player.inventory[slot].SetDefaults("Picksaw");
			player.inventory[slot++].Prefix(-1);

			player.inventory[slot].SetDefaults("Pwnhammer");
			player.inventory[slot++].Prefix(-1);

            player.inventory[slot].SetDefaults("Ankh Shield");
            player.inventory[slot++].Prefix(-1);

            player.inventory[slot].SetDefaults("Magic Cuffs");
            player.inventory[slot++].Prefix(-1);

            player.inventory[slot].SetDefaults("Magnet Sphere");
            player.inventory[slot++].Prefix(-1);

            player.inventory[slot].SetDefaults("Vampire Knives");
            player.inventory[slot++].Prefix(-1);

            player.inventory[slot].SetDefaults("S.D.M.G.");
            player.inventory[slot++].Prefix(-1);

            player.inventory[slot].SetDefaults("Chlorophyte Bullet");
            player.inventory[slot++].stack = 999;

            player.inventory[slot].SetDefaults("Chlorophyte Bullet");
            player.inventory[slot++].stack = 999;

            player.inventory[slot].SetDefaults("Terra Blade");
            player.inventory[slot++].Prefix(-1);

            player.inventory[slot].SetDefaults("Fairy Wings");
            player.inventory[slot++].Prefix(-1);

            player.inventory[slot].SetDefaults("Nimbus Rod");
            player.inventory[slot++].Prefix(-1);

            player.inventory[slot].SetDefaults("Bundle of Balloons");
            player.inventory[slot++].Prefix(-1);

            player.inventory[slot].SetDefaults("Rainbow Gun");
            player.inventory[slot++].Prefix(-1);

            player.inventory[slot].SetDefaults("Rod of Discord");
            player.inventory[slot++].Prefix(-1);

            player.inventory[slot].SetDefaults("Golden Shower");
            player.inventory[slot++].Prefix(-1);

            player.inventory[slot].SetDefaults("Sparkfrost Boots");
            player.inventory[slot++].Prefix(-1);
        }
	}
}